org.apache.lucene.codecs.lucene60

## Class Lucene60PointsReader

- java.lang.Object
- - org.apache.lucene.codecs.PointsReader
  - - org.apache.lucene.codecs.lucene60.Lucene60PointsReader

- All Implemented Interfaces:
    Closeable, AutoCloseable, Accountable

      public class Lucene60PointsReader
      extends PointsReader
      implements Closeable

  Reads point values previously written with `Lucene60PointsWriter`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Lucene60PointsReader(SegmentReadState readState)` Sole constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkIntegrity()` Checks consistency of this reader.
    `void` | `close()`
    `Collection<Accountable>` | `getChildResources()` Returns nested resources of this class.
    `PointValues` | `getValues(String fieldName)` Returns the underlying `BKDReader`.
    `long` | `ramBytesUsed()` Return the memory usage of this object in bytes.

    - ### Methods inherited from class org.apache.lucene.codecs.PointsReader

      `getMergeInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Lucene60PointsReader

          public Lucene60PointsReader(SegmentReadState readState)
                               throws IOException

      Sole constructor
      Throws:
        `IOException`

  - ### Method Detail

    - #### getValues

          public PointValues getValues(String fieldName)

      Returns the underlying `BKDReader`.
      Specified by:
        `getValues` in class `PointsReader`
      NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

    - #### ramBytesUsed

          public long ramBytesUsed()

      Description copied from interface: `Accountable`
      Return the memory usage of this object in bytes. Negative values are illegal.
      Specified by:
        `ramBytesUsed` in interface `Accountable`

    - #### getChildResources

          public Collection<Accountable> getChildResources()

      Description copied from interface: `Accountable`
      Returns nested resources of this class. The result should be a point-in-time snapshot (to avoid race conditions).
      Specified by:
        `getChildResources` in interface `Accountable`
      See Also:
        `Accountables`

    - #### checkIntegrity

          public void checkIntegrity()
                              throws IOException

      Description copied from class: `PointsReader`
      Checks consistency of this reader.

      Note that this may be costly in terms of I/O, e.g. may involve computing a checksum value against large data files.

      Specified by:
        `checkIntegrity` in class `PointsReader`
      Throws:
        `IOException`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Throws:
        `IOException`

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.